<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 *
 * @package WordPress
 * @subpackage Twenty_Thirteen
 * @since Twenty Thirteen 1.0
 */

/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
	return;
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>
	
		
		<ul class="comment-list">
			<?php
				
				
				wp_list_comments( array(
					'type'		=> 'comment',
					'callback'	=> 'better_comments'					
				));
			?>
		</ul><!-- .comment-list -->

		<?php
			// Are there comments to navigate through?
			if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
		?>
		<nav class="navigation comment-navigation" role="navigation">
			<h1 class="screen-reader-text section-heading"><?php _e( 'Comment navigation'); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments') ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;') ); ?></div>
		</nav><!-- .comment-navigation -->
		<?php endif; // Check for comment navigation ?>

		<?php if ( ! comments_open() && get_comments_number() ) : ?>
		<p class="no-comments"><?php _e( 'Comments are closed.'); ?></p>
		<?php endif; ?>

	<?php endif; // have_comments() ?>

	<?php 
	$comment_args = array(
		'title_reply'=>'Leave a message for ' . get_the_title(),
		'fields' => apply_filters('comment_form_default_fields', array(
			'author' => '<p class="comment-form-author">' . 
							'<label for="author">' . __( 'Name' ) . '</label> ' . 
							//( $req ? '<span>*</span>' : '' ) . 
							'<input id="author" name="author" type="text" value="" size="30"' . $aria_req . ' />' . 
						'</p>',   

    		'email'  => '<p class="comment-form-email">' .
                			'<label for="email">' . __( 'Email' ) . '</label> ' .
                			//( $req ? '<span>*</span>' : '' ) .
                			'<input id="email" name="email" type="text" value="" size="30"' . $aria_req . ' />' . 
                		'</p>',

			'url'    => '')), 

    		'comment_field' => '<p>' .
                '<label for="comment">' . __('Message') . '</label>' .
                '<textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea>' .
               '</p>',
		'comment_notes_before' => '',
    	'comment_notes_after' => '',
    	'label_submit' => 'Submit'
	);

	comment_form($comment_args);
	?>

</div><!-- #comments -->
